package com.adealink.weparty.room.micseat.defaults

import androidx.fragment.app.viewModels
import com.adealink.frame.mvvm.view.viewBinding
import com.adealink.weparty.room.R
import com.adealink.weparty.room.databinding.FragmentSeatsTemplateDefaultBinding
import com.adealink.weparty.room.micseat.BaseSeatsTemplate
import com.adealink.weparty.room.micseat.viewmodel.RoomSeatViewModel

class DefaultSeatsTemplate :
    BaseSeatsTemplate<DefaultSeatView, RoomSeatViewModel>(R.layout.fragment_seats_template_default) {

    override val viewModel: RoomSeatViewModel by viewModels(ownerProducer = { requireActivity() })
    private val binding by viewBinding(FragmentSeatsTemplateDefaultBinding::bind)


    override fun bindSeatViews() {
//        setSeatView(MicIndex.MIC_0, binding.micOwner)
//        setSeatView(MicIndex.MIC_1, binding.mic1)
//        setSeatView(MicIndex.MIC_2, binding.mic2)
//        setSeatView(MicIndex.MIC_3, binding.mic3)
//        setSeatView(MicIndex.MIC_4, binding.mic4)
//        setSeatView(MicIndex.MIC_5, binding.mic5)
//        setSeatView(MicIndex.MIC_6, binding.mic6)
//        setSeatView(MicIndex.MIC_7, binding.mic7)
//        setSeatView(MicIndex.MIC_8, binding.mic8)
    }

    override fun loadData() {
        super.loadData()
        //获取专属麦位配置信息
    }

    override fun observeViewModel() {
        super.observeViewModel()
    }

    companion object {
        private const val TAG = "DefaultSeatsTemplate"
    }

}